#!/usr/bin/perl

# Name:   extract-composers.pl
# Author: John F. Hagan
# Date:   01/99 
#
# Purpose: to extract the composer names from the firstlines.html
#          file 
#

$input     = "/local/www/faculty/lincoln/firstlines.html";
$output    = "/local/www/faculty/lincoln/composers";

open(TITLES, "$input");
open(OUTPUT,">>$output");

while (<TITLES>) {
   s/\(([a-zA-Z\s]+)\)/$1/; 
   unless ($composer{$1}) {
      $composer{$1} = $1;
      }
   }

foreach (sort keys %composer) {
   print(OUTPUT  "<option value=\"$composer{$_}\">$composer{$_}\n");
   }
